using System;
using Zcu.Mve.Core;

namespace Zcu.Mve.Visualization
{
	/// <summary>
	/// Represets a topological information. <br/>
	/// Triangle, Line, Tetrahedron are its typical examples. <br/>
	/// Only instaces of this type are accepted by UnstrGrid as topological information.
	/// </summary>
	public interface ICell : IDataObject
	{
		/// <summary>
		/// Number of point indices.
		/// </summary>
		int PointCount
		{
			get;
		}

		/// <summary>
		/// Access to point indices.
		/// </summary>
		int this [int index]
		{
			get;
			set;
		}

	} // interface ICell
} // namespace