using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Zcu.Mve.Core;

namespace Zcu.Mve.Visualization
{
	/// <summary>
	/// Dialog box for TriangleLoader setup.
	/// This dialog serves for enter file of name.
	/// </summary>
	public class TriangleLoaderSetup : Zcu.Mve.Core.ModuleSetup
	{
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.Button button1;
		private System.ComponentModel.IContainer components = null;
		private TriangleLoader triangleLoader;

		/// <summary>
		/// Creates the dialog box.
		/// </summary>
		/// <param name="triangleLoader">TriangleLoader module.</param>
		public TriangleLoaderSetup(TriangleLoader triangleLoader)
		{
			// This call is required by the Windows Form Designer.
			InitializeComponent();

			this.triangleLoader = triangleLoader;
			textBox1.Text = triangleLoader.FileName;
		} // TriangleLoaderSetup()

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(1, 2);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(198, 20);
			this.textBox1.TabIndex = 0;
			this.textBox1.Text = "textBox1";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(207, 2);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(32, 20);
			this.button1.TabIndex = 1;
			this.button1.Text = "...";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// XmlLoaderSetup
			// 
			this.Controls.Add(this.button1);
			this.Controls.Add(this.textBox1);
			this.Name = "TriangleLoaderSetup";
			this.Size = new System.Drawing.Size(240, 24);
			this.ResumeLayout(false);
		}
		#endregion

		/// <summary>
		/// Button OK click -> export file name.
		/// </summary>
		public override bool OnOkClick()
		{
			triangleLoader.FileName = textBox1.Text.Trim();
			return true;
		} // OnOkClick()

		/// <summary>
		/// Button '...' click -> show OpenFile dialog.
		/// </summary>
		/// <param name="sender">Sender.</param>
		/// <param name="e">Event parameters.</param>
		private void button1_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog fd = new OpenFileDialog();
			fd.Filter = "Files with triangle data (*.tri)|*.tri";
			fd.FileName = textBox1.Text;
			fd.ShowDialog();
			textBox1.Text = fd.FileName;
		} // button1_Click()

	} // class PictureLoaderSetup
} // namespace

