using System;

namespace Zcu.Mve.Visualization
{
	/// <summary>
	/// Specialization of Mesh. Can contain only Triangle cells.
	/// Attributes are not limited.
	/// </summary>
	public class TriangleMesh : Zcu.Mve.Visualization.Mesh
	{
		/// <summary>
		/// Create empty TriangleMesh. Only Triangle is eigen cell.
		/// </summary>
		public TriangleMesh()
		{
			eigCells.Clear();
			eigCells.Add(typeof(Triangle), null);
		}

		/// <summary>
		/// Returns triangle from array named "Triangle".
		/// </summary>
		/// <param name="index">Index of the triangle.</param>
		/// <returns>Triangle with given index.</returns>
		public Triangle GetTriangle(int index)
		{
			return (Triangle) GetCells("Triangle")[index];
		}

		/// <summary>
		/// Returns number of triangles. (Number of elements in field named "Triangle")
		/// </summary>
		/// <returns>Number of triangles.</returns>
		public int GetNTriangles()
		{
			return GetCells("Triangle").Count;
		}

	} // class TriangleMesh
} // namespace